Subject: Re: octave-3.0.3-1: mkoctfile error : mkoctfile seems to be unable to find liboctave
From: Tatsuro MATSUOKA <[email-masked]>
To: [email-masked], [email-masked], Marco Atzeri <[email-masked]>
Cc: [email-masked]
Date: Tue, 27 Jan 2009 15:16:54 +0900 (JST)
List-Id: <cygwin.cygwin.com>

Hello

I found what was wrong.

The name smybolic link to liboctave.dll.a.3.0.3 was libctave.dll.a. (ctave not octave)
That was why  mkoctfile seemed to be unable to find liboctave.

I rename  libctave.dll.a to liboctave.dll.a. 
The command mkoctfile worked fine!!!

Please correct the package of octave-3.0.3-1.

Regards

Tatsuro

--- Tatsuro MATSUOKA <[email-masked]> wrote:

> Hello
> 
> $ octave
> GNU Octave, version 3.0.3
> Copyright (C) 2008 John W. Eaton and others.
> This is free software; see the source code for copying conditions.
> There is ABSOLUTELY NO WARRANTY; not even for MERCHANTIBILITY or
> FITNESS FOR A PARTICULAR PURPOSE.  For details, type `warranty'.
>  :
>  :
> 
> octave:1> cd 'D:\usr\Tatsu\program\Octave\test'
> octave:2> pwd
> ans = /cygdrive/d/usr/Tatsu/program/Octave/test
> octave:3> ls -l oregonator.cc
> -rwx------+ 1 Tatsu なし 577 Nov 28  2002 oregonator.cc
> octave:4> mkoctfile -v oregonator.cc
> g++-4 -c -I/usr/include/octave-3.0.3 -I/usr/include/octave-3.0.3/octave -mieee-fp -O2 -pipe
> oregonator.cc -o oregonator.o
> g++-4 -shared -Wl,--export-all-symbols -Wl,--enable-auto-import
> -Wl,--enable-runtime-pseudo-reloc -o
> oregonator.oct oregonator.o -L/usr/lib/octave-3.0.3 -loctinterp -loctave -lcruft -llapack -lblas
> -lfftw3 -lreadline -lncurses -ldl -lwsock32 -lhdf5 -lz -lm -lwsock32
> -L/bin/../lib/gcc/i686-pc-cygwin/4.3.2 -L/bin/../lib/gcc -L/usr/lib/gcc/i686-pc-cygwin/4.3.2
> -L/bin/../lib/gcc/i686-pc-cygwin/4.3.2/../../.. -lhdf5 -lz -lm -lgfortranbegin -lgfortran
> -lcygwin
> -luser32 -lkernel32 -ladvapi32 -lshell32
> /usr/lib/gcc/i686-pc-cygwin/4.3.2/../../../../i686-pc-cygwin/bin/ld: cannot find -loctave
> collect2: ld returned 1 exit status
> 
> 
> I found '-loctave' in the below,
> g++-4 -shared -Wl,--export-all-symbols -Wl,--enable-auto-import
> -Wl,--enable-runtime-pseudo-reloc -o
> oregonator.oct oregonator.o -L/usr/lib/octave-3.0.3 -loctinterp -loctave -lcruft -llapack -lblas
> -lfftw3 -lreadline -lncurses -ldl -lwsock32 -lhdf5 -lz -lm -lwsock32
> -L/bin/../lib/gcc/i686-pc-cygwin/4.3.2 -L/bin/../lib/gcc -L/usr/lib/gcc/i686-pc-cygwin/4.3.2
> -L/bin/../lib/gcc/i686-pc-cygwin/4.3.2/../../.. -lhdf5 -lz -lm -lgfortranbegin -lgfortran
> -lcygwin
> -luser32 -lkernel32 -ladvapi32 -lshell32
> 
> However
> /usr/lib/gcc/i686-pc-cygwin/4.3.2/../../../../i686-pc-cygwin/bin/ld: cannot find -loctave
> collect2: ld returned 1 exit status
> 
>  octave:5> ls /usr/lib/octave-3.0.3
> libcruft.dll.a        libctave.dll.a         liboctinterp.dll.a
> libcruft.dll.a        libctave.dll.a         liboctinterp.dll.a
> libcruft.dll.a.3.0.3  liboctave.dll.a.3.0.3  liboctinterp.dll.a.3.0
> 
> Mmmmmm! -loctinterp did not cause error.
> 
> I cannot resolve the problem.
> 
> Regards
> 
> Tatsuro
> 
> /usr/lib/gcc/i686-pc-cygwin/4.3.2/../../../../i686-pc-cygwin/bin/ld: cannot find -loctave
> collect2: ld returned 1 exit status
> 
> 
> 
> --------------------------------------
> Power up the Internet with Yahoo! Toolbar.
> http://pr.mail.yahoo.co.jp/toolbar/
> 

--------------------------------------
Power up the Internet with Yahoo! Toolbar.
http://pr.mail.yahoo.co.jp/toolbar/

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/